<?php
class VstTab{
	protected $_elementos;
	
	public function addTab($cabecera, $contenido, $nombre = ''){
		$elemento = array(
				'cabecera' => $cabecera,
				'contenido'=> $contenido				
		);
		if($nombre == ''){
			$str = strtolower($cabecera);
			$str = trim($str, '-');
			$nombre = preg_replace('/[^a-z0-9]+/', '-', $str);
		}
			
		$this->_elementos[$nombre] = $elemento; 
	}
	

	
	public function render(){
		
		
		$tabs = '';
		$contenido = '';
		foreach ($this->_elementos as $key => $elemento){
			$tabs .= '<li><a href="#'.$key.'">'	.$elemento['cabecera'].'</a></li>';
			$contenido .= '<div class="tab-pane" id="'.$key.'">'.$elemento['contenido']->render().'</div>';
		}
    
		$html = '<ul class="nav nav-tabs" id="myTab">'
				.$tabs.'</ul>
     
    <div class="tab-content">'.$contenido.'
    </div>
     
    <script>
    $(function () {
        $(\'#myTab a\').click(function (e) {
    e.preventDefault();
    $(this).tab(\'show\');
    })
    		$(\'#myTab a:first\').tab(\'show\');
    })
    </script>';
		return $html;
		
	}
}